
{{!-- combat bar buttons --}}
<div class="combat-bar flexrow">
    <div class="bar">
        <div class="combat-value">{{actor.system.armorClass.normal}}</div>
        <div class="combat-label">{{ localize "ARS.armorclassabbr" }}</div>
    </div>

     <div class="bar">
        <div class="combat-value">{{actor.system.attributes.hp.value}}</div>
        <div class="combat-label">{{ localize "ARS.hp" }}</div>
    </div>


    {{!-- movement speeds --}}
     <div class="bar">
        {{#if (eq actor.type 'npc')}}
            <div style="width:3em; white-space: nowrap ;overflow: hidden ;text-overflow: ellipsis ;" data-tooltip="{{actor.system.movement}}" class="combat-value">{{actor.system.movement}}</div>
        {{else}}
            <div class="combat-value">{{actor.system.attributes.movement.value}}</div>
        {{/if}}
        <div class="combat-label">{{ localize "ARS.move" }}</div>
    </div>

    {{#if isGM}}
     <div class="bar">
        <div class="combat-value"><a class="actor-longrest" data-tooltip="Long rest for actor"><i class="fas fa-campground"></i></a></div>
        <div class="combat-label">{{ localize "ARS.longrest" }}</div>
    </div>
    {{/if}}

</div>

{{!-- matrix attack block --}}
<fieldset class="border-top">
    <legend>{{localize "ARS.matrix.matrixTitle" }}</legend>
    <div class="matrix-block flexrow">
        {{#if (or (eq @root.config.settings.osricVariant '0') (eq @root.config.settings.osricVariant '1'))}}
            {{#each actor.matrixSlice}}
                <div class="flexcol" {{#if (eq @index 10)}}style="background-color: red;color:white"{{/if}}>
                    <div class="ac">{{math @index "-" 10}}</div>
                    <div class="hit">{{this}}</div>
                </div>
            {{/each}}
        {{else}}
            {{#each actor.system.matrix as |matrix index|}}
                <div class="flexcol" {{#if (eq index 10)}}style="background-color: red;color:white"{{/if}}>
                    <div class="ac">{{matrix.ac}}</div>
                    <div class="hit">{{matrix.hit}}</div>
                </div>
            {{/each}}
        {{/if}}
        <div class="matrix-label flexcol">
            <div class="ac-label" data-tooltip="{{ localize "ARS.matrix.targetactip" }}">{{ localize "ARS.matrix.targetac" }}</div>
            <div class="roll-label" data-tooltip="{{ localize "ARS.matrix.hitrolltip" }}">{{ localize "ARS.matrix.hitroll" }}</div>
        </div>
    </div>
</fieldset>

{{!-- weapons --}}
{{#if actor.system.weapons}}
    <div class="weapon-block">
        {{> "systems/osric/templates/parts/actor/weaponlist-block.hbs"}}
    </div>
{{/if}}

{{!-- spells  --}}
{{#if actor.hasSpellSlots}}
    <div class="spell-block">
        {{> "systems/osric/templates/parts/actor/memorization-block.hbs"}}
    </div>
{{/if}}

{{!-- actions for self and all items --}}
{{> "systems/osric/templates/parts/actor/actions-block-list.hbs" }}

{{!-- skills --}}
{{#if actor.system.skills}}
    <div class="skill-block">
        {{> "systems/osric/templates/parts/actor/skills-block.hbs"}}
    </div>
{{/if}}

